Aegir 3.6

The Aegir team is proud to announce the seventh release in the stable 3.x branch!

This release ships with bug fixes and a number of UI improvements.

Drush install from Debian package

We now follow the recommended Drush install procedure again, and use the latest published .phar by default. However, we do make alternative Drush versions available. To install the lastest Drush 6 from composer (as we did prior to Aegir 3.3), you can run the following before installing or upgrading the packages:

# echo aegir3-provision aegir/drush_version string 6.x | debconf-set-selections

Likewise, to use the latest dev build of Drush (not recommended), you could run:

# echo aegir3-provision aegir/drush_version string unstable | debconf-set-selections

Or to ignore Drush during upgrades of the debian package:

# echo aegir3-provision aegir/drush_version string ignore | debconf-set-selections

We are considering packaging Drush separately again:

Installing and upgrading

The canonical source of installation documentation is

Within those sections you'll find step-by-step instructions for performing both manual and automatic upgrade processes.

It is still imperative that you read the upgrade path and version-specific information and follow all version-specific upgrade instructions before trying to run the upgrade script or manual upgrade.

Need help?

If you struggle to install or upgrade your Aegir system, you have a number of options available to you for getting help.

Consult this page for more information:

Thanks to our awesome community for their help, support and encouragement as always! Enjoy the new release :)


Changes to Hostmaster since 7.x-3.5

  • #2750361 by helmo: Add exclusive and distribution_name info
  • Update views to 3.14

Changes to Hosting since 7.x-3.5

Changes to Provision since 7.x-3.5

  • #2754309: Add option to ignore drush version during deb install
  • Revert "Issue #2729891 by helmo: Fix Debian upgrade error 3.4 to 3.5 (with hosting_git enabled)"
  • Fix more hook docs.
  • Fix hook documentation.
  • Merge branch '2731471-backup-delete-warning' into 7.x-3.x
  • Fixing docblock for d() function. You can now CTRL-click methods like d()->get_services() to go to the definition.
  • exmplain new steps
  • Merge remote-tracking branch 'origin/7.x-3.5.x' into 7.x-3.x
  • #2731605 by gboudrias - Hardcoded hosting_le code limits behavior with regards to the .well-known directory
  • #2730977 by mpv: 403 Forbidden for hosting_le acme challenges
  • Nginx: Fix for /.well-known/acme-challenge in subdir sites
  • Bump default Drush version in manual upgrade script
  • Update debian/changelog for 3.5.1 mini release
  • #2729891 by helmo: Fix Debian upgrade error 3.4 to 3.5 (with hosting_git enabled)
  • Add code to optinally make release tags for golden contrib
  • Minor text changed to
  • Apache: Add Alias /.well-known/acme-challenge also in the SSL vhost

Changes to Eldir since 7.x-3.5

Known Issues

  • Debian upgrade error 3.4 to 3.5 when hosting_git is enabled, see #2729891
    • Workaround: Disable hosting_git beforehand.
  • Provision (Jessie installs): #2347557: systemd service file not enabled by default
  • Hosting: #2069431: Form error message is confusing when trying to enable SSL when creating new site on a platform on a server without SSL enabled ("Status: Needs review")
  • Call to undefined function hosting_get_most_recent_task when using hosting_backup_queue #2755693

Our combined issue queues